flutter_geopackage 0.6.0+1 icon indicating copy to clipboard operation
flutter_geopackage: ^0.6.0+1 copied to clipboard

A module to support OGC geopackage with sqlite.

Version 0.6.0+1 #

Upgrade jts libraries to fix 3d geometry reading.

Version 0.6.0 #

Upgrade dependencies to work with new db libs and TableName (breaking change).

Version 0.5.2 #

Upgrade dependencies to work with new sqlite3.

Version 0.5.1 #

Upgrade dependencies to work with new sqlite3.

Version 0.5.0 #

Migration to null safety.

Version 0.4.8 #

Fixes for proj upgrade.

Version 0.4.7 #

Fixes for non spatial queries.

Version 0.4.6 #

Dependencies upgrade.

Version 0.4.5 #

Fixes.

Version 0.4.4 #

Fixes.

Version 0.4.3 #

Upgrade to new db api.

Version 0.4.2+1 #

Fix in tiles entry bounds retrival in case of special name.

Version 0.4.2 #

From db: add notnull to table column info.

Version 0.4.1 #

Add option to pass a "where" string to the getTableData method.

Version 0.4.0 #

Upgrade to use new SqlName API from db library dependency.

Version 0.3.1 #

Fixes in lazy loading tiles.

Version 0.3.0 #

Add proj4dart to harmonize proj differences between metadata.

Version 0.2.2 #

Migrate from moor

Version 0.2.1 #

Expose API to get and update style table for vectors with SLD.

Version 0.2.0 #

New version using moor_ffi instead of sqflite to support editing of attributes and geometries in future.

Version 0.1.2 and earlier #

First versions based on sqflite.